# Uses of Interface
net.sourceforge.jiu.data.Gray8Image

Packages that use Gray8Image
Package
Description
net.sourceforge.jiu.codecs
net.sourceforge.jiu.color.analysis
net.sourceforge.jiu.color.dithering
net.sourceforge.jiu.color.promotion
net.sourceforge.jiu.color.reduction
net.sourceforge.jiu.data
net.sourceforge.jiu.gui.awt

## Uses of Gray8Image in net.sourceforge.jiu.codecs

Fields in net.sourceforge.jiu.codecs declared as Gray8Image
Modifier and Type
Field
Description
`private Gray8Image`
PSDCodec.`gray8Image`
Methods in net.sourceforge.jiu.codecs with parameters of type Gray8Image
Modifier and Type
Method
Description
`private void`
PalmCodec.`save(DataOutput out, Gray8Image image)`
`private void`
PNMCodec.`save(Gray8Image image)`

## Uses of Gray8Image in net.sourceforge.jiu.color.analysis

Methods in net.sourceforge.jiu.color.analysis with parameters of type Gray8Image
Modifier and Type
Method
Description
`static CoOccurrenceMatrix`
MatrixCreator.`createCoOccurrenceMatrix(Gray8Image image)`

## Uses of Gray8Image in net.sourceforge.jiu.color.dithering

Methods in net.sourceforge.jiu.color.dithering with parameters of type Gray8Image
Modifier and Type
Method
Description
`private void`
ErrorDiffusionDithering.`process(Gray8Image in, BilevelImage out)`
`private void`
ErrorDiffusionDithering.`process(Gray8Image in, Gray8Image out)`
`private void`
OrderedDither.`process(Gray8Image in, BilevelImage out)`
`private void`
OrderedDither.`process(Gray8Image in, Gray8Image out)`

## Uses of Gray8Image in net.sourceforge.jiu.color.promotion

Methods in net.sourceforge.jiu.color.promotion with parameters of type Gray8Image
Modifier and Type
Method
Description
`private void`
PromotionGray16.`process(Gray8Image in, Gray16Image out)`
`private void`
PromotionGray8.`process(BilevelImage in, Gray8Image out)`
`private void`
PromotionPaletted8.`process(Gray8Image in, Paletted8Image out)`
`private void`
PromotionRGB24.`process(Gray8Image in, RGB24Image out)`
`private void`
PromotionRGB48.`process(Gray8Image in, RGB48Image out)`

## Uses of Gray8Image in net.sourceforge.jiu.color.reduction

Methods in net.sourceforge.jiu.color.reduction with parameters of type Gray8Image
Modifier and Type
Method
Description
`private void`
AutoDetectColorType.`createGray8FromPaletted8(Paletted8Image in, Gray8Image out)`

## Uses of Gray8Image in net.sourceforge.jiu.data

Classes in net.sourceforge.jiu.data that implement Gray8Image
Modifier and Type
Class
Description
`class`
`MemoryGray8Image`
An implementation of `Gray8Image` that keeps the complete image in memory.

## Uses of Gray8Image in net.sourceforge.jiu.gui.awt

Methods in net.sourceforge.jiu.gui.awt with parameters of type Gray8Image
Modifier and Type
Method
Description
`static Image`
ImageCreator.`convertToAwtImage(Gray8Image image, int alpha)`
Creates an AWT Image object from a Gray8Image object and an alpha value.